# $Revision: 1.51 $, $Date: 2008-01-31 22:07:37 $
%define		rel	5
Summary:	Edinburgh Speech Tools Library
Summary(pl.UTF-8):	Biblioteka narzędzi mowy Edinburgh
Name:		speech_tools
Version:	1.2.95
Release:	0.beta.%{rel}
License:	distributable
Group:		Applications/Sound
#Source0:	http://www.cstr.ed.ac.uk/download/festival/1.4.3/%{name}-%{version}-release.tar.gz
#Source0:	http://www.festvox.org/packed/festival/latest/%{name}-%{version}-current%{_snap}.tar.gz
Source0:	http://www.festvox.org/packed/festival/1.95/%{name}-%{version}-beta.tar.gz
# Source0-md5:	4a0a58d8c4bafaee9f0a913372ded8bd
Patch0:		%{name}-termcap.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-soname.patch
Patch3:		%{name}-bin_printf.patch
Patch4:		%{name}-gcc41.patch
Patch5:		%{name}-as-needed.patch
Patch6:		%{name}-gcc42.patch
URL:		http://www.cstr.ed.ac.uk/projects/speech_tools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	coreutils >= 5.0-7
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Edinburgh speech tools system is a library of C++ classes,
functions and utility programs that are frequently used in speech
software.

%description -l pl.UTF-8
Narzędzia mowy Edinburgh są biblioteką klas C++, funkcji i programów
użytkowych, które często używa się w syntezatorach mowy.

%package devel
Summary:	Developement files for speech tools
Summary(pl.UTF-8):	Pliki nagłówkowe do narzędzi mowy
Group:		Applications/Sound
Requires:	libstdc++-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Developement files for speech tools.

%description devel -l pl.UTF-8
Pliki nagłówkowe do narzędzi mowy.

%package static
Summary:	Static libraries for speech tools
Summary(pl.UTF-8):	Statyczne biblioteki narzędzi mowy
Group:		Applications/Sound
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for speech tools.

%description static -l pl.UTF-8
Statyczne biblioteki narzędzi mowy.

%package utils
Summary:	Speech tools utils
Summary(pl.UTF-8):	Programy użytkowe narzędzi mowy Edinburgh
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description utils
Speech tools utils.

%description utils -l pl.UTF-8
Programy użytkowe narzędzi mowy Edinburgh.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%if "%{_lib}" == "lib64"
# fix regression output for 64-bit archs (sizeof(ptr)==8 instead of 4).
sed -i 's:20 bytes:24 bytes:' testsuite/correct/matrix_regression.out
sed -i 's:28 bytes:32 bytes:' testsuite/correct/matrix_regression.out
%endif

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure
%{__make} all test \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	OPTIMISE_CCFLAGS="%{rpmcflags}" \
	OPTIMISE_CXXFLAGS="%{rpmcflags}" \
	OPTIMISE_LINKFLAGS="%{rpmldflags}" \
	OS_LIBS="-ldl -lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/EST,%{_datadir}/%{name}/example_data} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}/{scripts,siod,stats/wagon,grammar/{scfg,wfst}}

# includes
cp -r include/* $RPM_BUILD_ROOT%{_includedir}/EST
find $RPM_BUILD_ROOT%{_includedir}/EST -name Makefile -exec rm \{\} \;
for file in `find $RPM_BUILD_ROOT%{_includedir}/EST -type f`
do
	sed 's/\"\(.*h\)\"/\<EST\/\1\>/g' $file > $file.tmp
	grep -v est_string_config\.h $file.tmp > $file
	rm -f $file.tmp
done
sed 's/\<EST\//&rxp\//g' $RPM_BUILD_ROOT%{_includedir}/EST/rxp/rxp.h > bzzz
mv bzzz $RPM_BUILD_ROOT%{_includedir}/EST/rxp/rxp.h
for i in $RPM_BUILD_ROOT%{_includedir}/EST/rxp/*
do
	ln -s %{_includedir}/EST/rxp/`basename $i` $RPM_BUILD_ROOT%{_includedir}/EST/`basename $i`
done
ln -s /usr/include/EST $RPM_BUILD_ROOT%{_libdir}/%{name}/include

# libraries
install lib/lib* $RPM_BUILD_ROOT%{_libdir}
for i in $RPM_BUILD_ROOT%{_libdir}/*.so
do
	rm $i
	ln -s `basename $i*` $i
done

# binaries
install `find bin -type f -perm +1` $RPM_BUILD_ROOT%{_bindir}

# scripts
install scripts/{example_to_doc++.prl,make_wagon_desc.sh,resynth.sh,shared_script,shared_setup_prl,shared_setup_sh} \
		$RPM_BUILD_ROOT%{_libdir}/%{name}/scripts

# example data
install lib/example_data/* $RPM_BUILD_ROOT%{_datadir}/%{name}/example_data
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/example_data/Makefile

# more shit
cp -r config $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -r testsuite $RPM_BUILD_ROOT%{_libdir}/%{name}
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/testsuite/*.o
install siod/siod.mak $RPM_BUILD_ROOT%{_libdir}/%{name}/siod
install lib/siod/*.scm $RPM_BUILD_ROOT%{_libdir}/%{name}/siod
install stats/ols.mak $RPM_BUILD_ROOT%{_libdir}/%{name}/stats
install stats/wagon/wagon.mak $RPM_BUILD_ROOT%{_libdir}/%{name}/stats/wagon
install grammar/scfg/scfg.mak $RPM_BUILD_ROOT%{_libdir}/%{name}/grammar/scfg
install grammar/wfst/wfst.mak $RPM_BUILD_ROOT%{_libdir}/%{name}/grammar/wfst

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_includedir}/EST
%{_libdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: speech_tools.spec,v $
Revision 1.51  2008-01-31 22:07:37  glen
- rel 5

Revision 1.50  2007-06-16 10:31:32  prism
- added fix for gcc 4.2

Revision 1.49  2007/03/03 18:29:35  qrczak
- speech_tools-as-needed.patch: fixed linking.
- Release 0.beta.4

Revision 1.48  2007/03/03 17:16:43  qrczak
- Removed autoheader. There are no AC_CONFIG_HEADERS to regenerate.

Revision 1.47  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.45  2006/02/01 18:19:05  pluto
- gcc41 patch finished (i hope). builds w/o regressions.

Revision 1.44  2006/01/19 12:50:24  pluto
- amd64 regression fixed.

Revision 1.43  2006/01/18 19:33:29  pluto
- gcc41 patch updated. 32-bit version builds clean w/o regressions.
  64-bit version need investigation:
  # ptr64 <-> int32 casting.
  # 1 matrix regression (struct sizes differs from 32-bit build).

Revision 1.42  2006/01/17 20:04:07  pluto
- initial gcc41 fixes, nfy (1 regression test still fails).

Revision 1.41  2006/01/17 19:00:57  pluto
- run regression tests.

Revision 1.40  2005/06/12 21:19:04  zbyniu
- R: libstdc++-devel in -devel
- BR: ncurses-devel

Revision 1.39  2004/10/10 19:37:48  paladine
- added missing BR: autoconf

Revision 1.38  2004/10/09 10:41:41  pluto
- cleanups.

Revision 1.37  2004/10/09 10:27:31  pluto
- updated to 1.2.95-beta.

Revision 1.36  2004/06/09 19:22:38  djurban
- fixed stupid includes, rebuild for ac

Revision 1.35  2004/06/09 15:55:23  djurban
- fix includes rel. 4 rebuild in whole ac (and not sure it is working)

Revision 1.34  2004/06/09 10:08:29  djurban
- text about the comment

Revision 1.33  2004/06/09 09:34:21  djurban
- disabling gcc 3.4 patch (maybe now it will work correctly)

Revision 1.32  2004/05/13 17:06:41  ankry
- spaces -> tabs, other cosmetics

Revision 1.31  2004/04/22 20:00:07  pluto
- gcc 3.4 fixes done (i hope).
- all libs build and link, but libestools.so.1.2.4.1 has
  similiar undefined references as libestools.so.1.2.2.1.
- TODO added.
- release 0.2.

Revision 1.30  2004/04/22 08:52:09  pluto
- PIC patch is back.

Revision 1.29  2004/04/21 22:39:37  pluto
- /bin/printf patch is back. coreutils BR: fixed.

Revision 1.28  2004/04/21 22:21:06  pluto
- /bin/printf patch removed.

Revision 1.27  2004/04/21 22:01:48  pluto
- updated to 1.2.4 (snap 20030804).

Revision 1.26  2004/04/19 13:26:17  pluto
- url fixed.

Revision 1.25  2004/04/18 17:50:23  pluto
- gcc 3.4 fixes, NFY...

Revision 1.24  2004/04/18 16:16:36  qboosh
- termcap patch is back (different, but still needed)
- updated gcc3 patch

Revision 1.23  2004/04/17 20:21:18  hunter
--upto 1.2.3, patch0 not needed.

Revision 1.22  2004/01/10 00:48:46  qboosh
- added PIC patch (s/-fpic/-fPIC/ - needed at least on sparc)
- release 6

Revision 1.21  2003/12/16 20:00:54  adasi
 - Patch to get speech_tools compile with gcc3
 - from Konrad Sakowski exkomuch at go2.pl
 - still not building cleanly

Revision 1.20  2003/12/12 21:49:54  speedy
- added BR

Revision 1.19  2003/12/12 21:42:59  speedy
- release 5

Revision 1.18  2003/05/28 13:02:01  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:26:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/14 11:40:17  misi3k
- added missig patch2

Revision 1.15  2003/05/14 07:59:12  djrzulf
- added soname patch from: "Szymon Siwek" <sls@poczta.wp.pl>,

Revision 1.14  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.13  2002/10/10 21:14:31  qboosh
- update config.* (for athlon)

Revision 1.12  2002/08/18 12:25:07  blues
license fix

Revision 1.11  2002/08/04 11:38:49  qboosh
- use proper optflags, release 2

Revision 1.10  2002/07/31 12:50:38  kloczek
- typo and cosmetics.

Revision 1.9  2002/07/10 12:29:27  wolf
- correction of hand-made merge

Revision 1.8  2002/07/10 12:27:14  wolf
- final touch (?)
STBR

Revision 1.7  2002/07/09 12:40:01  qboosh
- added pl descriptions and versions to Requires

Revision 1.6  2002/07/07 00:11:03  wolf
- seems ok now

Revision 1.5  2002/07/06 23:47:50  wolf
- building festival is pain in the ass
- monkeying everything from redhat specs

Revision 1.4  2002/07/06 16:10:41  wolf
- forgotten R for subpackages

Revision 1.3  2002/07/06 15:56:01  wolf
- install(1) wipes out symlinks

Revision 1.2  2002/07/06 15:28:03  wolf
- compiles and should be enought to build festival
- someone may want to include utils, documentation, etc

Revision 1.1  2002/07/05 00:39:03  wolf
- work in progress, far from completion
